body.color-mode {
    background-color: hsl(0, 0%, 100%);
}

body {
    background-color: hsl(230, 17%, 14%);
    font-family: 'Inter';
}

header {
    padding: 0 1.5rem;
    padding-top: 2rem;
    padding-bottom: 6rem;
    background-color: hsl(232, 19%, 15%);
    border-radius: 0 0 1rem 1rem;
}

.color-mode header {
    background-color: hsl(225, 100%, 98%);
}

header h1 {
    font-size: 1.5rem;
    font-weight: 700;
    margin-bottom: .5rem;
    color: hsl(0, 0%, 100%);
}

.color-mode header h1 {
    color: hsl(230, 17%, 14%);
}

header p {
    font-weight: 700;
    color: hsl(228, 34%, 66%);
    font-size: 0.875rem;
    padding-bottom: 1.5rem;
    border-bottom: 1px solid;
}

.color-mode header p {
    color: hsl(228, 12%, 44%);
}

header section {
    margin-top: 1rem;
    font-weight: 700;
    color: hsl(228, 34%, 66%);
    font-size: 0.875rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.color-mode header section {
    color: hsl(228, 12%, 44%);
}

.card-holder {
    position: relative;
    top: -5rem;
}

.card {
    display: flex;
    flex-direction: column;
    text-align: center;
    background-color: hsl(228, 28%, 20%);
    border-radius: 8px;
    margin: 0 1.5rem;
    color: hsl(228, 34%, 66%);
    font-weight: 700;
    margin-top: 1.5rem;
    transition: .4s;
}

.card:hover {
    opacity: .62;
}

.color-mode .card {
    background-color: hsl(227, 47%, 96%);
    color: hsl(228, 12%, 44%);
}

.card--username {
    font-size: .75rem;
    padding-top: 2rem;
}

.card--facebook {
    border-top: 4px solid hsl(195, 100%, 50%);
    border-radius: 4px;
}

.card--instagram {
    border-top: 4px solid;
    border-image: linear-gradient(to right, hsl(37, 97%, 70%) 0%, hsl(329, 70%, 58%) 100%);
    border-image-slice: 1;
    border-radius: 4px;
}

.card--twitter {
    border-top: 4px solid hsl(203, 89%, 53%);
    border-radius: 4px;
}

.card--youtube {
    border-top: 4px solid hsl(348, 97%, 39%);
    border-radius: 4px;
}

.card--facebook::before {
    content: url("../images/icon-facebook.svg");
    margin-right: .5rem;
    vertical-align: middle;
}

.card--twitter::before {
    content: url("../images/icon-twitter.svg");
    margin-right: .5rem;
    vertical-align: middle;
}

.card--instagram::before {
    content: url("../images/icon-instagram.svg");
    margin-right: .5rem;
    vertical-align: middle;
}

.card--youtube::before {
    content: url("../images/icon-youtube.svg");
    margin-right: .5rem;
    vertical-align: middle;
}


.card--number {
    font-size: 3.5rem;
    color: hsl(0, 0%, 100%);
    padding-top: 1rem;
}

.color-mode .card--number {
    color: hsl(230, 17%, 14%);
}

.card--followers {
    text-transform: uppercase;
    font-size: .75rem;
    font-weight: 400;
    letter-spacing: 6px;
    padding-top: .5rem;
}

.card--counter {
    padding-top: 1.5rem;
    font-size: .75rem;
    color: hsl(163, 72%, 41%);
    padding-bottom: 1rem;
}

.growing::before {
    content: url("../images/icon-up.svg");
    margin-right: 4px;
    vertical-align: text-top;
}

.shrinking {
    color: hsl(356, 69%, 56%);
}

.shrinking::before {
    content: url("../images/icon-down.svg");
    margin-right: .5rem;
    vertical-align: text-top;
}

.overview {
    margin-top: -4rem;
}

.overview--title {
    font-size: 1.5rem;
    color: hsl(0, 0%, 100%);
    font-weight: 700;
    margin: 1.5rem;
}

.color-mode .overview--title {
    color: hsl(228, 12%, 44%);
}

.ocard {
    background-color: hsl(228, 28%, 20%);
    padding: 1.5rem 1.5rem 1rem;
    margin: 0 1.5rem;
    margin-top: 1rem;
    border-radius: .25rem;
    transition: .4s;
}

.ocard:hover {
    opacity: .62;
}

.color-mode .ocard {
    background-color: hsl(227, 47%, 96%);
}

.ocard--title {
    color: hsl(228, 34%, 66%);
    font-weight: 700;
    font-size: .875rem;
    padding-bottom: 1.5rem;
    display: flex;
    justify-content: space-between;
}

.color-mode .ocard--title {
    color: hsl(228, 12%, 44%);
}


.ocard--facebook::after {
    content: url("../images/icon-facebook.svg");
}

.ocard--instagram::after {
    content: url("../images/icon-instagram.svg");
}

.ocard--twitter::after {
    content: url("../images/icon-twitter.svg");
}

.ocard--youtube::after {
    content: url("../images/icon-youtube.svg");
}

.ocard--counter {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.ocard--counter .growing {
    color: hsl(163, 72%, 41%);
    font-weight: 700;
    font-size: .75rem;
}

.ocard--counter .shrinking {
    color: hsl(356, 69%, 56%);
    font-weight: 700;
    font-size: .75rem;
}

.ocard--counter .growing::before {
    margin-right: .25rem;
}

.ocard--data {
    font-size: 2rem;
    color: hsl(0, 0%, 100%);
    font-weight: 700;
}

.color-mode .ocard--data {
    color: hsl(230, 17%, 14%);
}

.attribution {
    margin-top: 3rem;
    margin-bottom: 2rem;
    color: hsl(0, 0%, 100%);
}

.color-mode .attribution {
    color: hsl(228, 12%, 44%);
}
.switch {
    position: relative;
    display: inline-block;
    width: 48px;
    height: 24px;
    border-radius: 1rem;
    padding: 0 2px;
  }

  .switch input { 
    opacity: 0;
    width: 0;
    height: 0;
  }

  .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(90deg, rgba(55,143,230,1) 0%, rgba(62,218,130,1) 100%);
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .slider::before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 2px;
    bottom: 2px;
    background-color: hsl(232, 19%, 15%);
    -webkit-transition: .4s;
    transition: .4s;
  }
  
  .color-mode .slider::before {
    background-color: hsl(225, 100%, 98%);
  }

  input:checked + .slider {
    background: darkgray;
  }
  
  input:focus + .slider {
    box-shadow: 0 0 1px rgb(55,143,230);
  }
  
  input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
  }

.slider.round {
    border-radius: 20px;
  }
  
  .slider.round::before {
    border-radius: 50%;
  }

  @media only screen and (min-width: 768px) {

    header {
        display: flex;
        justify-content: space-between;
        padding: 8rem;
        padding-top: 3rem;
    }

    header h1 {
        font-size: 2rem;
    }

    header p {
        border-bottom: 0;
    }

    header section {
        display: block;
    }

    .card-holder {
        display: flex;
        flex-wrap: wrap;
        margin: 0 8rem;
        top: -7rem;
    }

    .card {
        flex: 1 0 auto;
    }

    .ocard {
        margin-top: 1.5rem;
    }

    .overview {
        margin: 0 8rem;
        margin-top: -4rem;
    }

    .overview--cards {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .overview--cards .ocard {
        flex: 1 0 16%;
    }

    .toglr span {
        padding-right: .5rem;
        vertical-align: sub;
    }
  }